com.independentsoft.exchange

## Class MailTips

- java.lang.Object
- - com.independentsoft.exchange.MailTips

-     public class MailTips
      extends java.lang.Object

  Represents values for various types of mail tips.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCustomMailTip()` Gets a customized mail tip message.
    `boolean` | `getDeliveryRestricted()` Gets whether delivery restrictions will prevent the sender's message from reaching the recipient.
    `int` | `getExternalMemberCount()` Gets the count of external members in a group.
    `boolean` | `getInvalidRecipient()` Gets whether the recipient is invalid.
    `int` | `getMaxMessageSize()` Gets the maximum message size the recipient can accept.
    `OutOfOfficeMailTip` | `getOutOfOffice()` Gets the response message and a duration time for sending the response message.
    `MailTipType` | `getPendingMailTips()` Gets that the mail tips in this element could not be evaluated before the server's processing timeout expired.
    `Mailbox` | `getRecipient()` Gets the mailbox of the recipient.
    `int` | `getTotalMemberCount()` Gets the count of all members in a group.
    `boolean` | `isMailboxFull()` Gets whether the mailbox for the recipient is full.
    `boolean` | `isModerated()` Gets whether the recipient's mailbox is being moderated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRecipient

          public Mailbox getRecipient()

      Gets the mailbox of the recipient.
      Returns:
        the recipient

    - #### getPendingMailTips

          public MailTipType getPendingMailTips()

      Gets that the mail tips in this element could not be evaluated before the server's processing timeout expired.
      Returns:
        the pending mail tips

    - #### getOutOfOffice

          public OutOfOfficeMailTip getOutOfOffice()

      Gets the response message and a duration time for sending the response message.
      Returns:
        the out of office

    - #### isMailboxFull

          public boolean isMailboxFull()

      Gets whether the mailbox for the recipient is full.
      Returns:
        true, if is mailbox full

    - #### getCustomMailTip

          public java.lang.String getCustomMailTip()

      Gets a customized mail tip message.
      Returns:
        the custom mail tip

    - #### getTotalMemberCount

          public int getTotalMemberCount()

      Gets the count of all members in a group.
      Returns:
        the total member count

    - #### getExternalMemberCount

          public int getExternalMemberCount()

      Gets the count of external members in a group.
      Returns:
        the external member count

    - #### getMaxMessageSize

          public int getMaxMessageSize()

      Gets the maximum message size the recipient can accept.
      Returns:
        the max message size

    - #### getDeliveryRestricted

          public boolean getDeliveryRestricted()

      Gets whether delivery restrictions will prevent the sender's message from reaching the recipient.
      Returns:
        the delivery restricted

    - #### isModerated

          public boolean isModerated()

      Gets whether the recipient's mailbox is being moderated.
      Returns:
        true, if is moderated

    - #### getInvalidRecipient

          public boolean getInvalidRecipient()

      Gets whether the recipient is invalid.
      Returns:
        the invalid recipient